package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag786;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT786Creator;

/**
 * @author wuzhe
 * @date 2023/2/27
 */
public class Tag30Creator extends AbsTagCreate {

     private MT786Creator mt786Creator;

    public Tag30Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt786Creator= (MT786Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag30Value = mt786Creator.getDemandSubmissionDate();
        mt786Creator.set("30", tag30Value);
    }
}
